curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/terms/{termSourcedId}/gradingPeriods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"academicSession": {
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"type": "<string>",
"schoolYear": "<string>",
"org": {
"sourcedId": "<string>"
},
"tenantId": "<string>",
"clientAppId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"parent": {
"sourcedId": "<string>"
},
"children": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
]
}
}
'{
"academicSession": {
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"type": "gradingPeriod",
"schoolYear": 123,
"org": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"parent": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"children": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
]
}
}To create a new Grading Period for a Term. A Grading Period is a type of Academic Session. The responding system must return the set of sourcedIds that have been allocated to the newly created academicSession record.
curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/terms/{termSourcedId}/gradingPeriods \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"academicSession": {
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"type": "<string>",
"schoolYear": "<string>",
"org": {
"sourcedId": "<string>"
},
"tenantId": "<string>",
"clientAppId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"parent": {
"sourcedId": "<string>"
},
"children": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
]
}
}
'{
"academicSession": {
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"type": "gradingPeriod",
"schoolYear": 123,
"org": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"parent": {
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
},
"children": [
{
"href": "<string>",
"sourcedId": "<string>",
"type": "academicSession"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the term
Show child attributes
Grading period successfully created
Represents an academic session.
Show child attributes